Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066998 - udevadm trigger makes upowerd go batty and reset every device on the system
Summary: udevadm trigger makes upowerd go batty and reset every device on the system
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: upower
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-19 13:29 UTC by Tom Horsley
Modified: 2015-06-29 15:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:19:04 UTC


Attachments (Terms of Use)

Description Tom Horsley 2014-02-19 13:29:27 UTC
Description of problem:

The postinstall script for wireshark runs (God knows why) "udevadm trigger".
This seems to make upowerd go off the rails and reset every device on the system. In particular the most noticeable one being my trackball which acts like it was unplugged and plugged back in, thus losing all the xinput settings I apply on login. This nonsense shows up in the log:

Feb 19 07:38:15 tomh yum[1943]: Updated: wireshark-1.10.5-3.fc20.x86_64
Feb 19 07:38:15 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1
Feb 19 07:38:15 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1/event1
Feb 19 07:38:15 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0
Feb 19 07:38:15 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0/event0
Feb 19 07:38:15 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.1/usb4
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.1
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.1/usb4/4-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.0/0003:046D:C318.0002
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.1/0003:046D:C318.0003
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.0/input/input6
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/0003:047D:1020.0001
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/input/input5
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.1/input/input7
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/input/input5/mouse0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.0/input/input6/event3
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.1/usbmisc/hiddev0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-2/3-2:1.1/input/input7/event4
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/input/input5/event2
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.7/usb1
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input11
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input10
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input9
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.0/usb5
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event6
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event5
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event7
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.0/usb5/5-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.1/usb6
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.2/usb7
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.2/usb7/7-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.1/usb6/6-0:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input8
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3.1
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1b.0/sound/card0/input8/event8
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3.1/2-3.1:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3.1/2-3.1.1
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.7/usb2/2-3/2-3.1/2-3.1.1/2-3.1.1:1.0
Feb 19 07:38:16 tomh upowerd: (upowerd:1709): UPower-Linux-WARNING **: treating change event as add on /sys/devices/virtual/input/mice
Feb 19 07:38:35 tomh iprdump[563]: Failed to find ipr ioa 6 for iprdump
Feb 19 07:38:48 tomh yum[1943]: Updated: wireshark-gnome-1.10.5-3.fc20.x86_64


Version-Release number of selected component (if applicable):
upower-0.9.23-2.fc20.x86_64

How reproducible:
every time

Steps to Reproduce:
1.run udevadm trigger
2.watch the fireworks in /var/log/messages
3.

Actual results:
I have no idea what all the side effects of a trigger should be, but this seems extreme.

Expected results:
Certainly shouldn't act like all the usb devices on the system were plugged in again, especially devices that have no batteries, external power supplies, and are not involved in any remote way with power management.

Additional info:

Comment 1 Tom Horsley 2014-03-22 00:08:39 UTC
This will probably stop once bug 1077953 makes it to the wild (at least wireshark updates will make it stop happening).

Comment 2 Fedora End Of Life 2015-05-29 10:59:01 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 15:19:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.